package com.xjrsoft.module.textbook.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.textbook.entity.WfTextbookClaim;
import com.xjrsoft.module.textbook.vo.WfTextbookClaimPageVo;
import com.xjrsoft.module.textbook.dto.ConfirmDistributeDto;
import com.xjrsoft.module.textbook.dto.WfTextbookClaimPageDto;
import com.xjrsoft.module.textbook.vo.WfTextbookClaimVo;

import java.util.List;

/**
* @title: 教材申领
* @Author szs
* @Date: 2023-12-26
* @Version 1.0
*/

public interface IWfTextbookClaimService extends MPJBaseService<WfTextbookClaim> {

    /**
    * 新增
    *
    * @param wfTextbookClaim
    * @return
    */
    Boolean add(WfTextbookClaim wfTextbookClaim);

    /**
    * 更新
    *
    * @param wfTextbookClaim
    * @return
    */
    Boolean update(WfTextbookClaim wfTextbookClaim);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);

    /**
     * 教材申领列表(分页)
     * @param dto
     * @return
     */
    IPage<WfTextbookClaimPageVo> getPage(WfTextbookClaimPageDto dto);

    /**
     * 教材发放页详情
     * @param id
     * @return
     */
    WfTextbookClaimVo infoDistribute(Long id);

    /**
     * 确认发放
     * @param dto
     * @return
     */
    Boolean confirmDistribute(ConfirmDistributeDto dto);

    Boolean dataHandleAddClaimUserNode(Long id);

}
